<?php

namespace Internetgalerie\IgDatapoolFe\Validation\Validator;

/**
 * Provides accessors for use with the tabs / fieldwarpper engine.
 */
trait ValidatorTrait
{
    /**
     * Idea: use own labels + translate them later
     * on a per field basis!
     */
    protected function translateErrorMessage($translateKey, $extensionName, $arguments = []): string
    {
        $context = \Internetgalerie\IgDatapoolFe\Validation\Validator\GenericObjectValidator::$currentField;
        $res = \Internetgalerie\IgDatapoolFe\Services\LangService::ll($translateKey, $extensionName, $context, $arguments);
        if ($res == '') {
            $res = $translateKey;
        }
        return $res;
    }
}
