<?php

namespace Internetgalerie\IgDatapoolFe\Domain\Model;

class Country extends \SJBR\StaticInfoTables\Domain\Model\Country
{
    /**
    * The German short name
    * @var string
    */
    protected $shortNameDe = '';

    /**
     * The French short name
     *
     * @var string
     */
    protected $shortNameFr = '';

    /**
    * The Italian short name
    * @var string
    */
    protected $shortNameIt = '';

    /**
    * Sets the German short name.
    *
    * @param string $shortNameDe
    *
    * @return void
    */
    public function setShortNameDe($shortNameDe)
    {
        $this->shortNameDe = $shortNameDe;
    }

    /**
    * Gets the German short name.
    *
    * @return string
    */
    public function getShortNameDe()
    {
        return $this->shortNameDe;
    }

    /**
     * Gets the French short name.
     *
     * @return string
     */
    public function getShortNameFr()
    {
        return $this->shortNameFr;
    }

    /**
     * Sets the French short name.
     *
     * @param string $shortNameFr
     *
     * @return void
     */
    public function setShortNameFr($shortNameFr)
    {
        $this->shortNameFr = $shortNameFr;
    }

    /**
    * Sets the Italian short name.
    *
    * @param string $shortNameIt
    *
    * @return void
    */
    public function setShortNameIt($shortNameIt)
    {
        $this->shortNameIt = $shortNameIt;
    }

    /**
    * Gets the Italian short name.
    *
    * @return string
    */
    public function getShortNameIt()
    {
        return $this->shortNameIt;
    }
}
